package com.link.core.util.redisclient;

import com.alibaba.fastjson.JSONObject;
import java.util.List;
import java.util.Map;
import java.util.Set;
import redis.clients.jedis.Tuple;

public interface LinkRedisClient {
   String get(String key);

   String hget(String key, String propertyKey);

   void close();

   Long ttl(String s);

   Long expire(String s, Integer tokenExpire);

   boolean exists(String loginInfoMapKey);

   List<String> hmget(String loginInfoMapKey, String key);

   List<String> hmget(String key, String[] arr);

   Long hdel(String loginInfoMapKey, String key);

   Long hset(String loginInfoMapKey, String key, String value);

   String hmset(String loginInfoMapKey, Map<String, String> loginInfoMap);

   String set(String key, String value);

   String set(String key, String value, String nxxx, String expx, int time);

   List<String> brpop(int i, String key);

   long llen(String key);

   Long lpush(String key, String value);

   Long lpush(String key, String... value);

   Long sadd(String key, String... value);

   long scard(String key);

   String spop(String key);

   Set<String> keys(String s);

   Set<byte[]> keys(byte[] pattern);

   Long del(String[] keyStrs);

   Long del(String mutexKey);

   Long del(Set<String> keySet);

   String setex(String mutexKey, int i, String y);

   String select(int dbIndex);

   Set<String> hkeys(String var1);

   List<byte[]> mget(byte[][] keys);

   List<String> mget(String... keys);

   Map<String, String> hgetAll(String key);

   List<String> lrange(String key, long start, long end);

   String ltrim(String key, long start, long end);

   String lindex(String key, long index);

   Long pexpire(String key, long milliseconds);

   Long hincrBy(String key, String field, long value);

   Double hincrByFloat(String key, String field, double value);

   Long setnx(String key, String value);

   String getSet(String key, String value);

   String rpop(String key);

   Boolean scriptExists(String key, String sha1);

   String scriptLoad(String script, String key);

   Object evalsha(String sha1, int keyCount, String... params);

   Boolean hexists(String key, String field);

   Object eval(String script, List<String> keys, List<String> args);

   List<String> scan(Integer count, String matchKey);

   List<String> hvals(String var1);

   Long zrevrank(String var1, String var2);

   Set<String> zrevrange(String var1, long var2, long var4);

   Double zscore(String var1, String var2);

   Long incrBy(String var1, long var2);

   void scanExec(Integer count, String matchKey, RedisScanExec redisScanExec, JSONObject paramJson) throws Exception;

   Set<String> smembers(String key);

   boolean sismember(String key, String member);

   Long srem(String key, String... member);

   String type(String key);

   String rename(String oldkey, String newkey);

   Long zrem(String key, String... member);

   Long zadd(String key, double score, String member);

   Long zremrangeByScore(String key, double start, double end);

   Double zincrby(String key, double score, String member);

   Long zcard(String key);

   Set<String> zrevrangeByScore(String key, double max, double min);

   Set<String> zrange(String key, long start, long end);

   void info();

   Set<Tuple> zrangeByScoreWithScores(String key, double min, double max);
}
